import unittest

import numpy as np

from extensions.chaeo.accessors import MonoPatchStack



class TestCziImageFileAccess(unittest.TestCase):
    def setUp(self) -> None:
        pass

    def test_make_patch_stack_from_list(self):
        w = 256
        h = 512
        n = 4
        acc = MonoPatchStack(np.random.rand(h, w, n))
        assert acc.count == n
        assert acc.hw == (h, w)

    def test_make_patch_stack_from_3d_array(self):
        w = 256
        h = 512
        n = 4
        acc = MonoPatchStack([np.random.rand(h, w) for _ in range(0, 4)])
        assert acc.count == n
        assert acc.hw == (h, w)